aboutsummaryrefslogtreecommitdiff
path: root/api/tests/gathered_zblocks.sh
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-06-30 07:01:15 +0300
committerkaotisk <kaotisk@arching-kaos.org>2024-06-30 07:01:15 +0300
commit30a2bc6cc950bcd460e5a3651ab869a732a0f50b (patch)
treeff9abace41c2d356301f0fcd72211ee974c7efb9 /api/tests/gathered_zblocks.sh
parent35ddac1871fbbc608417e1b1ec2012bf09687edd (diff)
downloadarching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.tar.gz
arching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.tar.bz2
arching-kaos-tools-30a2bc6cc950bcd460e5a3651ab869a732a0f50b.zip
Refactoring
Diffstat (limited to 'api/tests/gathered_zblocks.sh')
-rwxr-xr-xapi/tests/gathered_zblocks.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/api/tests/gathered_zblocks.sh b/api/tests/gathered_zblocks.sh
index 35920e0..3e38ccc 100755
--- a/api/tests/gathered_zblocks.sh
+++ b/api/tests/gathered_zblocks.sh
@@ -6,7 +6,7 @@ printf '[%s]\n' "$PROGRAM"
printf "TEST\t/see\n"
printf "\t01:\tOutput is valid JSON format..."
curl http://127.0.0.1:8610/v0/see 2>/dev/null | jq > /dev/null
-if [ "$?" == "0" ]
+if [ $? -eq 0 ]
then
printf "\t\t\033[0;32mPASSED\033[0;0m"
else
@@ -16,7 +16,7 @@ printf "\n"
printf "\t02:\tFound blocks inside response..."
curl http://127.0.0.1:8610/v0/see 2>/dev/null | grep block > /dev/null
-if [ "$?" == "0" ]
+if [ $? -eq 0 ]
then
printf "\t\t\033[0;32mPASSED\033[0;0m"
else